Loading...
Searching...
No Matches
reservedvector.hh File Reference

An stl-compliant random-access container which stores everything on the stack. More...

`#include <algorithm>`
`#include <array>`
`#include <cassert>`
`#include <iostream>`
`#include <iterator>`
`#include <cstddef>`
`#include <initializer_list>`
`#include <dune/common/hash.hh>`
`#include <dune/common/std/algorithm.hh>`
`#include <dune/common/std/compare.hh>`

Go to the source code of this file.

## Classes

class | Dune::ReservedVector< T, n >
| A Vector class with statically reserved memory. More...

## Namespaces

namespace | Dune
| Dune namespace

## Macros

#define | CHECKSIZE(X)

## Detailed Description

An stl-compliant random-access container which stores everything on the stack.

## Macro Definition Documentation

## CHECKSIZE

#define CHECKSIZE | ( |  | X | ) |

Value:
{}